ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_email_key UNIQUE (email);


--
-- TOC entry 2422 (class 2606 OID 45947)
-- Name: accounts accounts_lactivationcode_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_lactivationcode_key UNIQUE (activationcode);


--
-- TOC entry 2424 (class 2606 OID 45949)
-- Name: accounts accounts_login_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_login_key UNIQUE (login);


--
-- TOC entry 2426 (class 2606 OID 45943)
-- Name: accounts accounts_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_pk PRIMARY KEY (id);


--
-- TOC entry 2430 (class 2606 OID 45964)
-- Name: auth_tokens auth_tokens_token_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY auth_tokens
    ADD CONSTRAINT auth_tokens_token_key UNIQUE (token);


--
-- TOC entry 2451 (class 2606 OID 46040)
-- Name: compound_disciplines compound_disciplines_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY compound_disciplines
    ADD CONSTRAINT compound_disciplines_pkey PRIMARY KEY (id);


--
-- TOC entry 2453 (class 2606 OID 46061)
-- Name: departments departments_name_facultyid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY departments
    ADD CONSTRAINT departments_name_facultyid_key UNIQUE (name, facultyid);


--
-- TOC entry 2455 (class 2606 OID 46059)
-- Name: departments departments_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY departments
    ADD CONSTRAINT departments_pkey PRIMARY KEY (id);


--
-- TOC entry 2457 (class 2606 OID 46063)
-- Name: departments departments_uk_1; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY departments
    ADD CONSTRAINT departments_uk_1 UNIQUE (externalid);


--
-- TOC entry 2489 (class 2606 OID 46284)
-- Name: disciplines_exam_type disciplines_exam_examtypename_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_exam_type
    ADD CONSTRAINT disciplines_exam_examtypename_key UNIQUE (examtypename);


--
-- TOC entry 2491 (class 2606 OID 46282)
-- Name: disciplines_exam_type disciplines_exam_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_exam_type
    ADD CONSTRAINT disciplines_exam_type_pkey PRIMARY KEY (id);


--
-- TOC entry 2500 (class 2606 OID 46325)
-- Name: disciplines_groups disciplines_groups_disciplineid_groupid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_groups
    ADD CONSTRAINT disciplines_groups_disciplineid_groupid_key UNIQUE (disciplineid, groupid);


--
-- TOC entry 2502 (class 2606 OID 46323)
-- Name: disciplines_groups disciplines_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_groups
    ADD CONSTRAINT disciplines_groups_pkey PRIMARY KEY (id);


--
-- TOC entry 2482 (class 2606 OID 46234)
-- Name: disciplines disciplines_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_pkey PRIMARY KEY (id);


--
-- TOC entry 2511 (class 2606 OID 46371)
-- Name: disciplines_students disciplines_students_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_students
    ADD CONSTRAINT disciplines_students_pkey PRIMARY KEY (id);


--
-- TOC entry 2513 (class 2606 OID 46373)
-- Name: disciplines_students disciplines_students_recordbookid_disciplineid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_students
    ADD CONSTRAINT disciplines_students_recordbookid_disciplineid_key UNIQUE (recordbookid, disciplineid);


--
-- TOC entry 2522 (class 2606 OID 46436)
-- Name: disciplines_study_plans disciplines_study_plans_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_study_plans
    ADD CONSTRAINT disciplines_study_plans_pk PRIMARY KEY (id);


--
-- TOC entry 2524 (class 2606 OID 46438)
-- Name: disciplines_study_plans disciplines_study_plans_studyplanid_disciplineid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_study_plans
    ADD CONSTRAINT disciplines_study_plans_studyplanid_disciplineid_key UNIQUE (studyplanid, disciplineid);


--
-- TOC entry 2528 (class 2606 OID 46457)
-- Name: disciplines_teachers disciplines_teachers_disciplineid_teacherid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_teachers
    ADD CONSTRAINT disciplines_teachers_disciplineid_teacherid_key UNIQUE (disciplineid, teacherid);


--
-- TOC entry 2530 (class 2606 OID 46455)
-- Name: disciplines_teachers disciplines_teachers_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_teachers
    ADD CONSTRAINT disciplines_teachers_pkey PRIMARY KEY (id);


--
-- TOC entry 2543 (class 2606 OID 46525)
-- Name: exam_period_options exam_period_options_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY exam_period_options
    ADD CONSTRAINT exam_period_options_pkey PRIMARY KEY (id);


--
-- TOC entry 2545 (class 2606 OID 46527)
-- Name: exam_period_options exam_period_options_recordbookid_submoduleid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY exam_period_options
    ADD CONSTRAINT exam_period_options_recordbookid_submoduleid_key UNIQUE (recordbookid, submoduleid);


--
-- TOC entry 2432 (class 2606 OID 45992)
-- Name: faculties faculties_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY faculties
    ADD CONSTRAINT faculties_name_key UNIQUE (name);


--
-- TOC entry 2434 (class 2606 OID 45990)
-- Name: faculties faculties_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY faculties
    ADD CONSTRAINT faculties_pkey PRIMARY KEY (id);


--
-- TOC entry 2436 (class 2606 OID 45994)
-- Name: faculties faculties_uk_1; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY faculties
    ADD CONSTRAINT faculties_uk_1 UNIQUE (externalid);


--
-- TOC entry 2438 (class 2606 OID 45996)
-- Name: faculties faculties_uk_3; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY faculties
    ADD CONSTRAINT faculties_uk_3 UNIQUE (abbr);


--
-- TOC entry 2445 (class 2606 OID 46033)
-- Name: grades grade_2; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grades
    ADD CONSTRAINT grade_2 UNIQUE (num, degree);


--
-- TOC entry 2447 (class 2606 OID 46031)
-- Name: grades grades_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY grades
    ADD CONSTRAINT grades_pkey PRIMARY KEY (id);


--
-- TOC entry 2550 (class 2606 OID 46545)
-- Name: groups_years groups_years_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY groups_years
    ADD CONSTRAINT groups_years_pkey PRIMARY KEY (year, groupid);


--
-- TOC entry 2471 (class 2606 OID 46189)
-- Name: job_positions job_positions_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY job_positions
    ADD CONSTRAINT job_positions_name_key UNIQUE (name);


--
-- TOC entry 2473 (class 2606 OID 46187)
-- Name: job_positions job_positions_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY job_positions
    ADD CONSTRAINT job_positions_pkey PRIMARY KEY (id);


--
-- TOC entry 2556 (class 2606 OID 46570)
-- Name: logs_binds_groups logs_binds_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_groups
    ADD CONSTRAINT logs_binds_groups_pkey PRIMARY KEY (id);


--
-- TOC entry 2560 (class 2606 OID 46595)
-- Name: logs_binds_students logs_binds_students_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_students
    ADD CONSTRAINT logs_binds_students_pkey PRIMARY KEY (id);


--
-- TOC entry 2564 (class 2606 OID 46620)
-- Name: logs_rating logs_rating_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_rating
    ADD CONSTRAINT logs_rating_pkey PRIMARY KEY (id);


--
-- TOC entry 2570 (class 2606 OID 46645)
-- Name: logs_signin logs_signin_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_signin
    ADD CONSTRAINT logs_signin_pkey PRIMARY KEY (id);


--
-- TOC entry 2534 (class 2606 OID 46496)
-- Name: modules modules_ordernum_disciplineid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT modules_ordernum_disciplineid_key UNIQUE (ordernum, disciplineid);


--
-- TOC entry 2536 (class 2606 OID 46494)
-- Name: modules modules_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT modules_pkey PRIMARY KEY (id);


--
-- TOC entry 2572 (class 2606 OID 46658)
-- Name: rating_table rating_table_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rating_table
    ADD CONSTRAINT rating_table_pkey PRIMARY KEY (recordbookid, submoduleid);


--
-- TOC entry 2505 (class 2606 OID 46364)
-- Name: record_books record_books_externalid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books
    ADD CONSTRAINT record_books_externalid_key UNIQUE (externalid);


--
-- TOC entry 2507 (class 2606 OID 46362)
-- Name: record_books record_books_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books
    ADD CONSTRAINT record_books_pk PRIMARY KEY (id);


--
-- TOC entry 2577 (class 2606 OID 46688)
-- Name: record_books_plans record_books_plans_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books_plans
    ADD CONSTRAINT record_books_plans_pkey PRIMARY KEY (id);


--
-- TOC entry 2579 (class 2606 OID 46690)
-- Name: record_books_plans recordbookid_studyplanid_record_books_plans_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books_plans
    ADD CONSTRAINT recordbookid_studyplanid_record_books_plans_key UNIQUE (recordbookid, studyplanid);


--
-- TOC entry 2583 (class 2606 OID 46709)
-- Name: recovery_tokens recovery_tokens_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recovery_tokens
    ADD CONSTRAINT recovery_tokens_pkey PRIMARY KEY (id);


--
-- TOC entry 2585 (class 2606 OID 46711)
-- Name: recovery_tokens recovery_tokens_token_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recovery_tokens
    ADD CONSTRAINT recovery_tokens_token_key UNIQUE (token);


--
-- TOC entry 2588 (class 2606 OID 46730)
-- Name: requests requests_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY requests
    ADD CONSTRAINT requests_pkey PRIMARY KEY (id);


--
-- TOC entry 2590 (class 2606 OID 46746)
-- Name: schema_version schema_version_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY schema_version
    ADD CONSTRAINT schema_version_pkey PRIMARY KEY (installed_rank);


--
-- TOC entry 2466 (class 2606 OID 46132)
-- Name: semesters semesters_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY semesters
    ADD CONSTRAINT semesters_pkey PRIMARY KEY (id);


--
-- TOC entry 2468 (class 2606 OID 46134)
-- Name: semesters semesters_year_num_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY semesters
    ADD CONSTRAINT semesters_year_num_key UNIQUE (year, num);


--
-- TOC entry 2441 (class 2606 OID 46007)
-- Name: specializations specializations_name_facultyid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY specializations
    ADD CONSTRAINT specializations_name_facultyid_key UNIQUE (name, facultyid);


--
-- TOC entry 2443 (class 2606 OID 46005)
-- Name: specializations specializations_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY specializations
    ADD CONSTRAINT specializations_pkey PRIMARY KEY (id);


--
-- TOC entry 2599 (class 2606 OID 46766)
-- Name: students_groups students_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students_groups
    ADD CONSTRAINT students_groups_pkey PRIMARY KEY (id);


--
-- TOC entry 2601 (class 2606 OID 46768)
-- Name: students_groups students_groups_semesterid_recordbookid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students_groups
    ADD CONSTRAINT students_groups_semesterid_recordbookid_key UNIQUE (semesterid, recordbookid);


--
-- TOC entry 2594 (class 2606 OID 46753)
-- Name: students students_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students
    ADD CONSTRAINT students_pkey PRIMARY KEY (id);


--
-- TOC entry 2603 (class 2606 OID 46799)
-- Name: study_form study_form_formname_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_form
    ADD CONSTRAINT study_form_formname_key UNIQUE (formname);


--
-- TOC entry 2605 (class 2606 OID 46797)
-- Name: study_form study_form_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_form
    ADD CONSTRAINT study_form_pkey PRIMARY KEY (id);


--
-- TOC entry 2495 (class 2606 OID 46305)
-- Name: study_groups study_groups_facultyid_gradeid_groupnum_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_groups
    ADD CONSTRAINT study_groups_facultyid_gradeid_groupnum_key UNIQUE (facultyid, gradeid, groupnum);


--
-- TOC entry 2497 (class 2606 OID 46303)
-- Name: study_groups study_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_groups
    ADD CONSTRAINT study_groups_pkey PRIMARY KEY (id);


--
-- TOC entry 2517 (class 2606 OID 46416)
-- Name: study_plans study_plans_externalid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_plans
    ADD CONSTRAINT study_plans_externalid_key UNIQUE (externalid);


--
-- TOC entry 2519 (class 2606 OID 46414)
-- Name: study_plans study_plans_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_plans
    ADD CONSTRAINT study_plans_pk PRIMARY KEY (id);


--
-- TOC entry 2609 (class 2606 OID 46805)
-- Name: subjects_faculties subjects_faculties_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects_faculties
    ADD CONSTRAINT subjects_faculties_pkey PRIMARY KEY (id);


--
-- TOC entry 2611 (class 2606 OID 46807)
-- Name: subjects_faculties subjects_faculties_subjectid_facultyid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects_faculties
    ADD CONSTRAINT subjects_faculties_subjectid_facultyid_key UNIQUE (subjectid, facultyid);


--
-- TOC entry 2460 (class 2606 OID 46094)
-- Name: subjects subjects_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects
    ADD CONSTRAINT subjects_name_key UNIQUE (name);


--
-- TOC entry 2462 (class 2606 OID 46092)
-- Name: subjects subjects_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects
    ADD CONSTRAINT subjects_pkey PRIMARY KEY (id);


--
-- TOC entry 2539 (class 2606 OID 46513)
-- Name: submodules submodules_moduleid_ordernum_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY submodules
    ADD CONSTRAINT submodules_moduleid_ordernum_key UNIQUE (moduleid, ordernum);


--
-- TOC entry 2541 (class 2606 OID 46511)
-- Name: submodules submodules_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY submodules
    ADD CONSTRAINT submodules_pkey PRIMARY KEY (id);


--
-- TOC entry 2479 (class 2606 OID 46196)
-- Name: teachers teachers_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY teachers
    ADD CONSTRAINT teachers_pkey PRIMARY KEY (id);


--
-- TOC entry 2613 (class 2606 OID 46825)
-- Name: text_mark text_mark_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY text_mark
    ADD CONSTRAINT text_mark_pkey PRIMARY KEY (id);


--
-- TOC entry 2418 (class 2606 OID 45927)
-- Name: user_roles user_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY user_roles
    ADD CONSTRAINT user_roles_pkey PRIMARY KEY (id);


--
-- TOC entry 2464 (class 2606 OID 46126)
-- Name: years years_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY years
    ADD CONSTRAINT years_pkey PRIMARY KEY (num);


--
-- TOC entry 2428 (class 1259 OID 45965)
-- Name: accountid_auth_tokens; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_auth_tokens ON auth_tokens USING btree (accountid);


--
-- TOC entry 2568 (class 1259 OID 46651)
-- Name: accountid_logs_signin; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_logs_signin ON logs_signin USING btree (accountid);


--
-- TOC entry 2581 (class 1259 OID 46717)
-- Name: accountid_recovery_tokens; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_recovery_tokens ON recovery_tokens USING btree (accountid);


--
-- TOC entry 2586 (class 1259 OID 46736)
-- Name: accountid_requests; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_requests ON requests USING btree (accountid);


--
-- TOC entry 2592 (class 1259 OID 46759)
-- Name: accountid_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_students ON students USING btree (accountid);


--
-- TOC entry 2474 (class 1259 OID 46217)
-- Name: accountid_teachers; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX accountid_teachers ON teachers USING btree (accountid);


--
-- TOC entry 2448 (class 1259 OID 46051)
-- Name: compound_disciplines_ibfk_1; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX compound_disciplines_ibfk_1 ON compound_disciplines USING btree (specializationid);


--
-- TOC entry 2449 (class 1259 OID 46052)
-- Name: compound_disciplines_ibfk_2; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX compound_disciplines_ibfk_2 ON compound_disciplines USING btree (gradeid);


--
-- TOC entry 2480 (class 1259 OID 46265)
-- Name: compounddiscid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX compounddiscid_disciplines ON disciplines USING btree (compounddiscid);


--
-- TOC entry 2498 (class 1259 OID 46336)
-- Name: disciplineid_disciplines_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_disciplines_groups ON disciplines_groups USING btree (disciplineid);


--
-- TOC entry 2509 (class 1259 OID 46384)
-- Name: disciplineid_disciplines_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_disciplines_students ON disciplines_students USING btree (disciplineid);


--
-- TOC entry 2526 (class 1259 OID 46468)
-- Name: disciplineid_disciplines_teachers; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_disciplines_teachers ON disciplines_teachers USING btree (disciplineid);


--
-- TOC entry 2553 (class 1259 OID 46586)
-- Name: disciplineid_logs_binds_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_logs_binds_groups ON logs_binds_groups USING btree (disciplineid);


--
-- TOC entry 2558 (class 1259 OID 46611)
-- Name: disciplineid_logs_binds_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_logs_binds_students ON logs_binds_students USING btree (disciplineid);


--
-- TOC entry 2532 (class 1259 OID 46502)
-- Name: disciplineid_modules; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX disciplineid_modules ON modules USING btree (disciplineid);


--
-- TOC entry 2458 (class 1259 OID 46069)
-- Name: facultyid_departments; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_departments ON departments USING btree (facultyid);


--
-- TOC entry 2483 (class 1259 OID 46266)
-- Name: facultyid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_disciplines ON disciplines USING btree (facultyid);


--
-- TOC entry 2439 (class 1259 OID 46013)
-- Name: facultyid_specializations; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_specializations ON specializations USING btree (facultyid);


--
-- TOC entry 2492 (class 1259 OID 46316)
-- Name: facultyid_study_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_study_groups ON study_groups USING btree (facultyid);


--
-- TOC entry 2515 (class 1259 OID 46427)
-- Name: facultyid_study_plans; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_study_plans ON study_plans USING btree (facultyid);


--
-- TOC entry 2606 (class 1259 OID 46818)
-- Name: facultyid_subjects_faculties; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_subjects_faculties ON subjects_faculties USING btree (facultyid);


--
-- TOC entry 2475 (class 1259 OID 46218)
-- Name: facultyid_teachers; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX facultyid_teachers ON teachers USING btree (departmentid);


--
-- TOC entry 2484 (class 1259 OID 46267)
-- Name: gradeid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX gradeid_disciplines ON disciplines USING btree (gradeid);


--
-- TOC entry 2493 (class 1259 OID 46317)
-- Name: gradeid_study_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX gradeid_study_groups ON study_groups USING btree (gradeid);


--
-- TOC entry 2503 (class 1259 OID 46337)
-- Name: groupid_disciplines_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX groupid_disciplines_groups ON disciplines_groups USING btree (groupid);


--
-- TOC entry 2548 (class 1259 OID 46561)
-- Name: groupid_groups_years; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX groupid_groups_years ON groups_years USING btree (groupid);


--
-- TOC entry 2554 (class 1259 OID 46587)
-- Name: groupid_logs_binds_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX groupid_logs_binds_groups ON logs_binds_groups USING btree (groupid);


--
-- TOC entry 2595 (class 1259 OID 46784)
-- Name: groupid_students_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX groupid_students_groups ON students_groups USING btree (groupid);


--
-- TOC entry 2476 (class 1259 OID 46219)
-- Name: jobpositionid_teachers; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX jobpositionid_teachers ON teachers USING btree (jobpositionid);


--
-- TOC entry 2537 (class 1259 OID 46519)
-- Name: moduleid_submodules; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX moduleid_submodules ON submodules USING btree (moduleid);


--
-- TOC entry 2514 (class 1259 OID 46385)
-- Name: recordbookid_disciplines_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_disciplines_students ON disciplines_students USING btree (recordbookid);


--
-- TOC entry 2546 (class 1259 OID 46538)
-- Name: recordbookid_exam_period_options; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_exam_period_options ON exam_period_options USING btree (recordbookid);


--
-- TOC entry 2561 (class 1259 OID 46612)
-- Name: recordbookid_logs_binds_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_logs_binds_students ON logs_binds_students USING btree (recordbookid);


--
-- TOC entry 2565 (class 1259 OID 46636)
-- Name: recordbookid_logs_rating; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_logs_rating ON logs_rating USING btree (recordbookid);


--
-- TOC entry 2573 (class 1259 OID 46674)
-- Name: recordbookid_rating_table; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_rating_table ON rating_table USING btree (recordbookid);


--
-- TOC entry 2596 (class 1259 OID 46785)
-- Name: recordbookid_students_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX recordbookid_students_groups ON students_groups USING btree (recordbookid);


--
-- TOC entry 2591 (class 1259 OID 46747)
-- Name: schema_version_s_idx; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX schema_version_s_idx ON schema_version USING btree (success);


--
-- TOC entry 2485 (class 1259 OID 46268)
-- Name: semesterid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX semesterid_disciplines ON disciplines USING btree (semesterid);


--
-- TOC entry 2597 (class 1259 OID 46786)
-- Name: semesterid_students_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX semesterid_students_groups ON students_groups USING btree (semesterid);


--
-- TOC entry 2551 (class 1259 OID 46562)
-- Name: specializationid_groups_years; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX specializationid_groups_years ON groups_years USING btree (specializationid);


--
-- TOC entry 2508 (class 1259 OID 46365)
-- Name: studentid_record_books; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX studentid_record_books ON record_books USING btree (studentid);


--
-- TOC entry 2525 (class 1259 OID 46449)
-- Name: studyplanid_disciplines_study_plans; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX studyplanid_disciplines_study_plans ON disciplines_study_plans USING btree (studyplanid);


--
-- TOC entry 2580 (class 1259 OID 46701)
-- Name: studyplanid_record_books_plans; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX studyplanid_record_books_plans ON record_books_plans USING btree (studyplanid);


--
-- TOC entry 2486 (class 1259 OID 46269)
-- Name: subjectid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX subjectid_disciplines ON disciplines USING btree (subjectid);


--
-- TOC entry 2607 (class 1259 OID 46819)
-- Name: subjectid_subjects_faculties; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX subjectid_subjects_faculties ON subjects_faculties USING btree (subjectid);


--
-- TOC entry 2547 (class 1259 OID 46539)
-- Name: submoduleid_exam_period_options; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX submoduleid_exam_period_options ON exam_period_options USING btree (submoduleid);


--
-- TOC entry 2566 (class 1259 OID 46637)
-- Name: submoduleid_logs_rating; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX submoduleid_logs_rating ON logs_rating USING btree (submoduleid);


--
-- TOC entry 2574 (class 1259 OID 46675)
-- Name: submoduleid_rating_table; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX submoduleid_rating_table ON rating_table USING btree (submoduleid);


--
-- TOC entry 2487 (class 1259 OID 46270)
-- Name: teacherid_disciplines; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_disciplines ON disciplines USING btree (authorid);


--
-- TOC entry 2531 (class 1259 OID 46469)
-- Name: teacherid_disciplines_teachers; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_disciplines_teachers ON disciplines_teachers USING btree (teacherid);


--
-- TOC entry 2557 (class 1259 OID 46588)
-- Name: teacherid_logs_binds_groups; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_logs_binds_groups ON logs_binds_groups USING btree (teacherid);


--
-- TOC entry 2562 (class 1259 OID 46613)
-- Name: teacherid_logs_binds_students; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_logs_binds_students ON logs_binds_students USING btree (teacherid);


--
-- TOC entry 2567 (class 1259 OID 46638)
-- Name: teacherid_logs_rating; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_logs_rating ON logs_rating USING btree (teacherid);


--
-- TOC entry 2575 (class 1259 OID 46676)
-- Name: teacherid_rating_table; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teacherid_rating_table ON rating_table USING btree (teacherid);


--
-- TOC entry 2477 (class 1259 OID 46220)
-- Name: teachers_ibfk_4; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX teachers_ibfk_4 ON teachers USING btree (facultyid);


--
-- TOC entry 2427 (class 1259 OID 45955)
-- Name: userroleid; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX userroleid ON accounts USING btree (userroleid);


--
-- TOC entry 2469 (class 1259 OID 46140)
-- Name: year_2; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX year_2 ON semesters USING btree (year);


--
-- TOC entry 2552 (class 1259 OID 46563)
-- Name: year_groups_years; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX year_groups_years ON groups_years USING btree (year);


--
-- TOC entry 2520 (class 1259 OID 46428)
-- Name: year_study_plans; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX year_study_plans ON study_plans USING btree (year);


--
-- TOC entry 2614 (class 2606 OID 45950)
-- Name: accounts accounts_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_ibfk_1 FOREIGN KEY (userroleid) REFERENCES user_roles(id);


--
-- TOC entry 2616 (class 2606 OID 46041)
-- Name: compound_disciplines compound_disciplines_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY compound_disciplines
    ADD CONSTRAINT compound_disciplines_ibfk_1 FOREIGN KEY (specializationid) REFERENCES specializations(id);


--
-- TOC entry 2617 (class 2606 OID 46046)
-- Name: compound_disciplines compound_disciplines_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY compound_disciplines
    ADD CONSTRAINT compound_disciplines_ibfk_2 FOREIGN KEY (gradeid) REFERENCES grades(id);


--
-- TOC entry 2618 (class 2606 OID 46064)
-- Name: departments departments_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY departments
    ADD CONSTRAINT departments_ibfk_1 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2632 (class 2606 OID 46326)
-- Name: disciplines_groups disciplines_groups_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_groups
    ADD CONSTRAINT disciplines_groups_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2633 (class 2606 OID 46331)
-- Name: disciplines_groups disciplines_groups_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_groups
    ADD CONSTRAINT disciplines_groups_ibfk_2 FOREIGN KEY (groupid) REFERENCES study_groups(id);


--
-- TOC entry 2624 (class 2606 OID 46235)
-- Name: disciplines disciplines_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_1 FOREIGN KEY (subjectid) REFERENCES subjects(id);


--
-- TOC entry 2625 (class 2606 OID 46240)
-- Name: disciplines disciplines_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_2 FOREIGN KEY (semesterid) REFERENCES semesters(id);


--
-- TOC entry 2626 (class 2606 OID 46245)
-- Name: disciplines disciplines_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_3 FOREIGN KEY (authorid) REFERENCES teachers(id);


--
-- TOC entry 2627 (class 2606 OID 46250)
-- Name: disciplines disciplines_ibfk_4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_4 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2628 (class 2606 OID 46255)
-- Name: disciplines disciplines_ibfk_5; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_5 FOREIGN KEY (gradeid) REFERENCES grades(id);


--
-- TOC entry 2629 (class 2606 OID 46260)
-- Name: disciplines disciplines_ibfk_6; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines
    ADD CONSTRAINT disciplines_ibfk_6 FOREIGN KEY (compounddiscid) REFERENCES compound_disciplines(id);


--
-- TOC entry 2634 (class 2606 OID 46374)
-- Name: disciplines_students disciplines_students_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_students
    ADD CONSTRAINT disciplines_students_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2635 (class 2606 OID 46379)
-- Name: disciplines_students disciplines_students_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_students
    ADD CONSTRAINT disciplines_students_ibfk_2 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2638 (class 2606 OID 46439)
-- Name: disciplines_study_plans disciplines_study_plans_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_study_plans
    ADD CONSTRAINT disciplines_study_plans_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2639 (class 2606 OID 46444)
-- Name: disciplines_study_plans disciplines_study_plans_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_study_plans
    ADD CONSTRAINT disciplines_study_plans_ibfk_2 FOREIGN KEY (studyplanid) REFERENCES study_plans(id);


--
-- TOC entry 2640 (class 2606 OID 46458)
-- Name: disciplines_teachers disciplines_teachers_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_teachers
    ADD CONSTRAINT disciplines_teachers_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2641 (class 2606 OID 46463)
-- Name: disciplines_teachers disciplines_teachers_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY disciplines_teachers
    ADD CONSTRAINT disciplines_teachers_ibfk_2 FOREIGN KEY (teacherid) REFERENCES teachers(id);


--
-- TOC entry 2644 (class 2606 OID 46528)
-- Name: exam_period_options exam_period_options_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY exam_period_options
    ADD CONSTRAINT exam_period_options_ibfk_1 FOREIGN KEY (submoduleid) REFERENCES submodules(id);


--
-- TOC entry 2645 (class 2606 OID 46533)
-- Name: exam_period_options exam_period_options_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY exam_period_options
    ADD CONSTRAINT exam_period_options_ibfk_2 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2646 (class 2606 OID 46546)
-- Name: groups_years groups_years_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY groups_years
    ADD CONSTRAINT groups_years_ibfk_1 FOREIGN KEY (groupid) REFERENCES study_groups(id);


--
-- TOC entry 2647 (class 2606 OID 46551)
-- Name: groups_years groups_years_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY groups_years
    ADD CONSTRAINT groups_years_ibfk_2 FOREIGN KEY (year) REFERENCES years(num);


--
-- TOC entry 2648 (class 2606 OID 46556)
-- Name: groups_years groups_years_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY groups_years
    ADD CONSTRAINT groups_years_ibfk_3 FOREIGN KEY (specializationid) REFERENCES specializations(id);


--
-- TOC entry 2649 (class 2606 OID 46571)
-- Name: logs_binds_groups logs_binds_groups_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_groups
    ADD CONSTRAINT logs_binds_groups_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2650 (class 2606 OID 46576)
-- Name: logs_binds_groups logs_binds_groups_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_groups
    ADD CONSTRAINT logs_binds_groups_ibfk_2 FOREIGN KEY (teacherid) REFERENCES teachers(id);


--
-- TOC entry 2651 (class 2606 OID 46581)
-- Name: logs_binds_groups logs_binds_groups_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_groups
    ADD CONSTRAINT logs_binds_groups_ibfk_3 FOREIGN KEY (groupid) REFERENCES study_groups(id);


--
-- TOC entry 2652 (class 2606 OID 46596)
-- Name: logs_binds_students logs_binds_students_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_students
    ADD CONSTRAINT logs_binds_students_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2653 (class 2606 OID 46601)
-- Name: logs_binds_students logs_binds_students_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_students
    ADD CONSTRAINT logs_binds_students_ibfk_2 FOREIGN KEY (teacherid) REFERENCES teachers(id);


--
-- TOC entry 2654 (class 2606 OID 46606)
-- Name: logs_binds_students logs_binds_students_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_binds_students
    ADD CONSTRAINT logs_binds_students_ibfk_3 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2655 (class 2606 OID 46621)
-- Name: logs_rating logs_rating_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_rating
    ADD CONSTRAINT logs_rating_ibfk_1 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2656 (class 2606 OID 46626)
-- Name: logs_rating logs_rating_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_rating
    ADD CONSTRAINT logs_rating_ibfk_2 FOREIGN KEY (submoduleid) REFERENCES submodules(id);


--
-- TOC entry 2657 (class 2606 OID 46631)
-- Name: logs_rating logs_rating_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_rating
    ADD CONSTRAINT logs_rating_ibfk_3 FOREIGN KEY (teacherid) REFERENCES teachers(id);


--
-- TOC entry 2658 (class 2606 OID 46646)
-- Name: logs_signin logs_signin_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY logs_signin
    ADD CONSTRAINT logs_signin_ibfk_1 FOREIGN KEY (accountid) REFERENCES accounts(id);


--
-- TOC entry 2642 (class 2606 OID 46497)
-- Name: modules modules_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY modules
    ADD CONSTRAINT modules_ibfk_1 FOREIGN KEY (disciplineid) REFERENCES disciplines(id);


--
-- TOC entry 2659 (class 2606 OID 46659)
-- Name: rating_table rating_table_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rating_table
    ADD CONSTRAINT rating_table_ibfk_1 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2660 (class 2606 OID 46664)
-- Name: rating_table rating_table_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rating_table
    ADD CONSTRAINT rating_table_ibfk_2 FOREIGN KEY (submoduleid) REFERENCES submodules(id);


--
-- TOC entry 2661 (class 2606 OID 46669)
-- Name: rating_table rating_table_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY rating_table
    ADD CONSTRAINT rating_table_ibfk_3 FOREIGN KEY (teacherid) REFERENCES teachers(id);


--
-- TOC entry 2662 (class 2606 OID 46691)
-- Name: record_books_plans record_books_plans_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books_plans
    ADD CONSTRAINT record_books_plans_ibfk_1 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2663 (class 2606 OID 46696)
-- Name: record_books_plans record_books_plans_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY record_books_plans
    ADD CONSTRAINT record_books_plans_ibfk_2 FOREIGN KEY (studyplanid) REFERENCES study_plans(id);


--
-- TOC entry 2664 (class 2606 OID 46712)
-- Name: recovery_tokens recovery_tokens_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recovery_tokens
    ADD CONSTRAINT recovery_tokens_ibfk_1 FOREIGN KEY (accountid) REFERENCES accounts(id);


--
-- TOC entry 2665 (class 2606 OID 46731)
-- Name: requests requests_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY requests
    ADD CONSTRAINT requests_ibfk_1 FOREIGN KEY (accountid) REFERENCES accounts(id) ON UPDATE SET NULL ON DELETE SET NULL;


--
-- TOC entry 2619 (class 2606 OID 46135)
-- Name: semesters semesters_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY semesters
    ADD CONSTRAINT semesters_ibfk_1 FOREIGN KEY (year) REFERENCES years(num);


--
-- TOC entry 2615 (class 2606 OID 46008)
-- Name: specializations specializations_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY specializations
    ADD CONSTRAINT specializations_ibfk_1 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2667 (class 2606 OID 46769)
-- Name: students_groups students_groups_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students_groups
    ADD CONSTRAINT students_groups_ibfk_1 FOREIGN KEY (recordbookid) REFERENCES record_books(id);


--
-- TOC entry 2668 (class 2606 OID 46774)
-- Name: students_groups students_groups_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students_groups
    ADD CONSTRAINT students_groups_ibfk_2 FOREIGN KEY (groupid) REFERENCES study_groups(id);


--
-- TOC entry 2669 (class 2606 OID 46779)
-- Name: students_groups students_groups_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students_groups
    ADD CONSTRAINT students_groups_ibfk_3 FOREIGN KEY (semesterid) REFERENCES semesters(id);


--
-- TOC entry 2666 (class 2606 OID 46754)
-- Name: students students_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY students
    ADD CONSTRAINT students_ibfk_2 FOREIGN KEY (accountid) REFERENCES accounts(id);


--
-- TOC entry 2630 (class 2606 OID 46306)
-- Name: study_groups study_groups_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_groups
    ADD CONSTRAINT study_groups_ibfk_2 FOREIGN KEY (gradeid) REFERENCES grades(id);


--
-- TOC entry 2631 (class 2606 OID 46311)
-- Name: study_groups study_groups_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_groups
    ADD CONSTRAINT study_groups_ibfk_3 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2636 (class 2606 OID 46417)
-- Name: study_plans study_plans_fk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_plans
    ADD CONSTRAINT study_plans_fk_1 FOREIGN KEY (year) REFERENCES years(num);


--
-- TOC entry 2637 (class 2606 OID 46422)
-- Name: study_plans study_plans_fk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY study_plans
    ADD CONSTRAINT study_plans_fk_2 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2670 (class 2606 OID 46808)
-- Name: subjects_faculties subjects_faculties_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects_faculties
    ADD CONSTRAINT subjects_faculties_ibfk_1 FOREIGN KEY (facultyid) REFERENCES faculties(id);


--
-- TOC entry 2671 (class 2606 OID 46813)
-- Name: subjects_faculties subjects_faculties_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subjects_faculties
    ADD CONSTRAINT subjects_faculties_ibfk_2 FOREIGN KEY (subjectid) REFERENCES subjects(id);


--
-- TOC entry 2643 (class 2606 OID 46514)
-- Name: submodules submodules_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY submodules
    ADD CONSTRAINT submodules_ibfk_1 FOREIGN KEY (moduleid) REFERENCES modules(id);


--
-- TOC entry 2620 (class 2606 OID 46197)
-- Name: teachers teachers_ibfk_1; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY teachers
    ADD CONSTRAINT teachers_ibfk_1 FOREIGN KEY (accountid) REFERENCES accounts(id);


--
-- TOC entry 2621 (class 2606 OID 46202)
-- Name: teachers teachers_ibfk_2; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY teachers
    ADD CONSTRAINT teachers_ibfk_2 FOREIGN KEY (departmentid) REFERENCES departments(id);


--
-- TOC entry 2622 (class 2606 OID 46207)
-- Name: teachers teachers_ibfk_3; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY teachers
    ADD CONSTRAINT teachers_ibfk_3 FOREIGN KEY (jobpositionid) REFERENCES job_positions(id);


--
-- TOC entry 2623 (class 2606 OID 46212)
-- Name: teachers teachers_ibfk_4; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY teachers
    ADD CONSTRAINT teachers_ibfk_4 FOREIGN KEY (facultyid) REFERENCES faculties(id);


-- logs_discipline keys and constraints
ALTER TABLE ONLY logs_discipline_forms
    ADD CONSTRAINT logs_discipline_forms_pkey PRIMARY KEY (id);

CREATE INDEX accountid_discipline_forms ON logs_discipline_forms USING btree (account_id);

CREATE INDEX disciplineid_discipline_forms ON logs_discipline_forms USING btree (discipline_id);

ALTER TABLE ONLY logs_discipline_forms
    ADD CONSTRAINT logs_discipline_forms_ibfk_1 FOREIGN KEY (account_id) REFERENCES accounts(id);

ALTER TABLE ONLY logs_discipline_forms
    ADD CONSTRAINT logs_discipline_forms_ibfk_2 FOREIGN KEY (discipline_id) REFERENCES disciplines(id);

-- lessons keys and constraints

ALTER TABLE ONLY lessons
    ADD CONSTRAINT lessons_pkey PRIMARY KEY (id);

CREATE INDEX discipline_id_lessons ON lessons USING btree (discipline_id);

ALTER TABLE ONLY lessons
    ADD CONSTRAINT lessons_ibfk_1 FOREIGN KEY (discipline_id) REFERENCES disciplines(id);

ALTER TABLE ONLY lessons
    ADD CONSTRAINT lessons_ibfk_2 FOREIGN KEY (lesson_type) REFERENCES lesson_types(id);

-- lesson_types keys and constraints
-- TODO: вызывает ошибку, исправить
ALTER TABLE ONLY lesson_types
    ADD CONSTRAINT lesson_types_pkey PRIMARY KEY (id);

-- attendance keys and index
ALTER TABLE ONLY attendance
    ADD CONSTRAINT attendance_pkey PRIMARY KEY (id);

ALTER TABLE ONLY attendance
    ADD CONSTRAINT attendance_ibfk_1 FOREIGN KEY (lesson_id) REFERENCES lessons(id);

ALTER TABLE ONLY attendance
    ADD CONSTRAINT attendance_ibfk_2 FOREIGN KEY (recordbook_id) REFERENCES record_books(id);
